Bug 315332 - KWin Crashes
Summary: KWin Crashes
Status: RESOLVED DUPLICATE of bug 322830
Alias: None
Product: kwin
Classification: Plasma
Component: tabbox (show other bugs)
Version: 4.10.0
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-17 16:56 UTC by Ryan McCann
Modified: 2013-07-26 17:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (2.10 KB, text/plain)
2013-02-18 18:35 UTC, Ryan McCann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan McCann 2013-02-17 16:56:26 UTC
Application: kwinactive_gles (4.10.00)
KDE Platform Version: 4.10.00
Qt Version: 4.8.4
Operating System: Linux 3.1.10-9-nexus7 armv7l
Distribution: Ubuntu Raring Ringtail (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
This time I was using  the dialog button on my keyboard to bring up the application menu. Another time I hit Alt-F2 to type a command and it crashed. Sometimes these actions cause KWin to crash, and other times they work successfully.

- Unusual behavior I noticed:
I'm also having trouble with making my touch screen work properly. Applications detect and respond to touches as they should, but the desktop and toolbars don't respond at all.

- Custom settings of the application:
I'm running this on Kubuntu-Active using the Ubuntu multirom installation on my Nexus 7.

The crash can be reproduced some of the time.

-- Backtrace:
Application: KWin (kwinactive_gles), signal: Segmentation fault
Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".
[Current thread is 1 (Thread 0x43f8b000 (LWP 14964))]

Thread 3 (Thread 0x478ff420 (LWP 14977)):
#0  0x4314bff4 in __libc_do_syscall () from /lib/arm-linux-gnueabihf/libpthread.so.0
#1  0x43147d76 in pthread_cond_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
#2  0x4027241a in pthread_cond_wait () from /lib/arm-linux-gnueabihf/libc.so.6
#3  0x4318de64 in NvOsConditionWait () from /usr/lib/libnvos.so
#4  0x4318de64 in NvOsConditionWait () from /usr/lib/libnvos.so
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x495eb420 (LWP 14981)):
#0  0x4314bff4 in __libc_do_syscall () from /lib/arm-linux-gnueabihf/libpthread.so.0
#1  0x43147d76 in pthread_cond_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
#2  0x4027241a in pthread_cond_wait () from /lib/arm-linux-gnueabihf/libc.so.6
#3  0x40b6bff6 in ?? () from /usr/lib/arm-linux-gnueabihf/libQtScript.so.4
#4  0x40b6bff6 in ?? () from /usr/lib/arm-linux-gnueabihf/libQtScript.so.4
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x43f8b000 (LWP 14964)):
[KCrash Handler]
#6  QObject::setProperty (this=0x895d28, name=0x0, value=0x401d8930 <KWin::TabBox::tabBox>) at kernel/qobject.cpp:3681
#7  0x401b1906 in KWin::TabBox::DeclarativeView::showEvent (this=0x895d28, event=0xbee72c5c) at ../../../kwin/tabbox/declarative.cpp:179
#8  0x412b20e4 in QWidget::event (this=0x895d28, event=0xbee72c5c) at kernel/qwidget.cpp:8593
#9  0x415086e4 in QFrame::event (this=0x895d28, e=0xbee72c5c) at widgets/qframe.cpp:557
#10 0x41559376 in QAbstractScrollArea::event (this=0x895d28, e=0xbee72c5c) at widgets/qabstractscrollarea.cpp:996
#11 0x41280bdc in QApplicationPrivate::notify_helper (this=0x0, receiver=0x895d28, e=0xbee72c5c) at kernel/qapplication.cpp:4567
#12 0x4128273c in QApplication::notify (this=0xbee735e8, receiver=0x895d28, e=0xbee72c5c) at kernel/qapplication.cpp:4428
#13 0x00000004 in ?? ()
#14 0x00000004 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Reported using DrKonqi
Comment 1 Christoph Feck 2013-02-17 22:43:25 UTC
Is "kwinactive_gles" the official name of a KWin binary? If yes, could you add code to register itself as product "kwin" for DrKonqi bug reports?
Comment 2 Thomas Lübking 2013-02-17 23:17:48 UTC
Since '"screenWidth"' is rather not 0x0, this is a stack corruption for sure.

Also the backtrace ends in showig a tabbox (the tabstrip?) what seems rather unrelated to your described action.

Do the other backtraces fit that pattern? (memory corruption and/or end in the tabbox?)
Comment 3 Ryan McCann 2013-02-18 03:07:42 UTC
How do I do that? I'm new to debugging and reporting bugs.
Comment 4 Thomas Lübking 2013-02-18 10:08:34 UTC
everytime kwin crashes there should be a dialog (to eventually report the bug)
click on details and post the contents here (also have a look at the "thread 1" section and whether the last few lines look similar)
Comment 5 Ryan McCann 2013-02-18 15:55:56 UTC
Alright I'll try that. Is there a log somewhere of all of this stuff in case I can't report the bug? Sometimes it becomes unresponsive before I can get through the bug reporter utility.
Comment 6 Ryan McCann 2013-02-18 18:35:33 UTC
Created attachment 77409 [details]
New crash information added by DrKonqi

kwinactive_gles (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.4

- What I was doing when the application crashed:
I attempted to open Konsole from the applcation panel and it immediately crashed.

-- Backtrace (Reduced):
#6  QObject::setProperty (this=0x1899560, name=0x0, value=0x40236930 <KWin::TabBox::tabBox>) at kernel/qobject.cpp:3681
#7  0x4020f906 in KWin::TabBox::DeclarativeView::showEvent (this=0x1899560, event=0xbeba0c8c) at ../../../kwin/tabbox/declarative.cpp:179
#8  0x412d30e4 in QWidget::event (this=0x1899560, event=0xbeba0c8c) at kernel/qwidget.cpp:8593
#9  0x415296e4 in QFrame::event (this=0x1899560, e=0xbeba0c8c) at widgets/qframe.cpp:557
#10 0x4157a376 in QAbstractScrollArea::event (this=0x1899560, e=0xbeba0c8c) at widgets/qabstractscrollarea.cpp:996
Comment 7 Ryan McCann 2013-02-18 18:40:15 UTC
I think I misspoke when I called it an "application menu" in my report. It was the tabbox that I was opening.
Comment 8 Thomas Lübking 2013-02-18 18:48:51 UTC
Thanks, exact same backtrace - sounds suspicious for a memory corruption.
Why '"screenWidth"' is resolved 0x0 if for the moment a mist. Compiler or architecture thing maybe.

We'll probably not need further backtraces. That'S too deterministic.
Comment 9 Kot Fantazer 2013-03-01 08:49:13 UTC
Kwin crashing when you select "disable visual effects for the full screen window" when starting stellarium.

When unselected option "disable visual effects for full-screen windows" does not crash

OS:  Linux 3.6.11-4.fc16.i686 i686
System:  Fedora release 16 (Verne)
KDE:  4.8.5 (4.8.5)
Comment 10 Thomas Lübking 2013-03-01 13:56:25 UTC
@Kot
That is a driver bug and  highly unrelated to this particular bug.
Comment 11 Martin Flöser 2013-04-05 13:40:39 UTC
I'm not sure what to do with this report. We cannot actually reproduce the issue due to lack of hardware and I'm kind of tempted to say it's a downstream issue. I rather doubt that Ubuntu is working properly on the Nexus 7. If you want to use Plasma Active on the Nexus 7 I'd suggest to try Mer (https://wiki.merproject.org/wiki/Community_Workspace/Tegra3/Nexus7 ).

I think the best state for this bug is unmaintained as it's not a supported platform.
Comment 12 Thomas Lübking 2013-07-26 17:34:03 UTC
The new dupe has some important findings, so please keep this the dupe of the other, thanks.

*** This bug has been marked as a duplicate of bug 322830 ***